/* -*- C++ -*-
 * $Id: flscroll.cc,v 1.8 2001/12/04 16:58:33 ttate Exp $
 */

#include "fltk.h"
#include "flscroll.h"

VALUE rb_cFLScroll;

static FN_S_NEW(Scroll);
WIDGET_FNS(Scroll);
static FN_SET_INT(Scroll, type);
static FN_GET_INT(Scroll, xposition);
static FN_GET_INT(Scroll, yposition);
static FN_SET_INT2(Scroll, position);

extern "C" void
Init_flscroll(){
  rb_cFLScroll = rb_define_class_under(rb_mFLTK, "Scroll", rb_cFLGroup);
  DEF_S_METHOD(Scroll,new,-1);
  DEF_WIDGET_METHODS(Scroll);
  RB_DEF_METHOD(rb_cFLScroll, "scrolltype", rb_FLScroll_type, 1);
  RB_DEF_METHOD(rb_cFLScroll, "scroll_type", rb_FLScroll_type, 1);
  DEF_METHOD(Scroll,xposition,0);
  DEF_METHOD(Scroll,yposition,0);
  DEF_METHOD(Scroll,position,2);

#define NUMCONST(t) rb_define_const(rb_cFLScroll, #t, INT2NUM(Fl_Scroll :: t))
  NUMCONST(HORIZONTAL);
  NUMCONST(VERTICAL);
  NUMCONST(BOTH);
  NUMCONST(HORIZONTAL_ALWAYS);
  NUMCONST(BOTH_ALWAYS);
#undef NUMCONST
};
