/* -*- C++ -*-
 * $Id: flwidget.h,v 1.19 2001/11/30 06:08:05 ttate Exp $
 */

#ifndef RBFLWIDGET_H
#define RBFLWIDGET_H

#include <FL/Fl_Widget.H>
#include <ruby.h>
#include "fltk.h"

RBFL_CLASS_WIDGET(Widget);

VALUE rb_fl_new(VALUE klass, Fl_Widget *w);
VALUE rb_fl_destroy(VALUE self);
VALUE rb_fl_destroyed(VALUE self);
VALUE rb_fl_check(VALUE self);
VALUE rb_fl_check_widget(VALUE self);
VALUE rb_fl_callback(VALUE self);
Fl_Widget *rb_to_fl(VALUE self);
/* VALUE fl_to_rb(Fl_Widget *); */
#define fl_to_rb(widget) rb_fltk_objmap_aref(widget)

extern VALUE rb_cFLWidget;

extern "C" void Init_flwidget(void);

#endif /* RBFLWIDGET_H */
