/* -*- C++ -*-
 * $Id: flbutton.h,v 1.2 2001/09/01 09:40:21 ttate Exp $
 */

#ifndef RBFLBUTTON_H
#define RBFLBUTTON_H

#include <FL/Fl_Button.H>
#include <FL/Fl_Check_Button.H>
#include <FL/Fl_Light_Button.H>
#include <FL/Fl_Repeat_Button.H>
#include <FL/Fl_Return_Button.H>
#include <FL/Fl_Round_Button.H>
#include "flwidget.h"

RBFL_CLASS(Button);
RBFL_CLASS(Check_Button);
RBFL_CLASS(Light_Button);
RBFL_CLASS(Repeat_Button);
RBFL_CLASS(Return_Button);
RBFL_CLASS(Round_Button);

extern VALUE rb_cFLButton;
extern VALUE rb_cFLCheck_Button;
extern VALUE rb_cFLLight_Button;
extern VALUE rb_cFLRepeat_Button;
extern VALUE rb_cFLReturn_Button;
extern VALUE rb_cFLRound_Button;

extern "C" void Init_flbutton(void);

#endif /* RBFLBUTTON_H */
