/* -*- C++ -*-
 * $Id: flenum.h,v 1.7 2001/11/26 02:02:48 ttate Exp $
 */
#ifndef RBFLENUM_H
#define RBFLENUM_H

#include <FL/Enumerations.H>
#include <FL/Fl_Valuator.H>
#include <FL/Fl_Slider.H>
#include <FL/fl_draw.h>

#define rb_fltk_define_const(x,y) rb_define_const(rb_mFLTK, x,y)
#define NUMCONST(c) rb_fltk_define_const(#c,INT2NUM(FL_##c))
#define DOUBLECONST(c) rb_fltk_define_const(#c,rb_float_new(FL_##c))
#define STRCONST(c) rb_fltk_define_const(#c, rb_tainted_str_new2(FL_##c))
#define KEYCONST(c) NUMCONST(c)

extern "C" void Init_flenum();

#endif /* RBFLENUM_H */
