/* -*- C++ -*-
 * $Id: flvaluator.h,v 1.4 2001/11/30 07:19:14 ttate Exp $
 */

#ifndef RBFLVALUATOR_H
#define RBFLVALUATOR_H

#include <FL/Fl_Valuator.H>
#include <FL/Fl_Adjuster.H>
#include <FL/Fl_Counter.H>
#include <FL/Fl_Dial.H>
#include <FL/Fl_Roller.H>
#include <FL/Fl_Slider.H>
#include <FL/Fl_Fill_Slider.H>
#include <FL/Fl_Nice_Slider.H>
#include <FL/Fl_Hor_Slider.H>
#include <FL/Fl_Hor_Fill_Slider.H>
#include <FL/Fl_Hor_Nice_Slider.H>
#include <FL/Fl_Scrollbar.H>
#include <FL/Fl_Value_Slider.H>
#include <FL/Fl_Value_Input.H>
#include <FL/Fl_Value_Output.H>
#include "flwidget.h"

RBFL_CLASS_WIDGET(Valuator);
RBFL_CLASS(Adjuster);
RBFL_CLASS(Counter);
RBFL_CLASS(Dial);
RBFL_CLASS(Roller);
RBFL_CLASS(Slider);
RBFL_CLASS(Fill_Slider);
RBFL_CLASS(Nice_Slider);
RBFL_CLASS(Hor_Slider);
RBFL_CLASS(Hor_Fill_Slider);
RBFL_CLASS(Hor_Nice_Slider);
RBFL_CLASS(Scrollbar);
RBFL_CLASS(Value_Slider);
RBFL_CLASS(Value_Input);
RBFL_CLASS(Value_Output);

extern VALUE rb_cFLValuator;
extern VALUE rb_cFLAdjuster;
extern VALUE rb_cFLCounter;
extern VALUE rb_cFLDial;
extern VALUE rb_cFLRoller;
extern VALUE rb_cFLSlider;
extern VALUE rb_cFLFill_Slider;
extern VALUE rb_cFLNice_Slider;
extern VALUE rb_cFLHor_Slider;
extern VALUE rb_cFLHor_Fill_Slider;
extern VALUE rb_cFLHor_Nice_Slider;
extern VALUE rb_cFLScrollbar;
extern VALUE rb_cFLValue_Slider;
extern VALUE rb_cFLValue_Input;
extern VALUE rb_cFLValue_Output;

extern "C" void Init_flvaluator(void);

#endif /* RBFLVALUATOR_H */
