/* -*- C++ -*-
 * $Id: flwindow.h,v 1.14 2001/11/25 10:51:27 ttate Exp $
 */

#ifndef RBFLWINDOW_H
#define RBFLWINDOW_H

#include <FL/Fl_Window.H>
#include <FL/Fl_Double_Window.H>
#include <FL/Fl_Menu_Window.H>
#include <FL/Fl_Overlay_Window.H>
#include <FL/Fl_Single_Window.H>
#include "flgroup.h"

RBFL_CLASS_WIN(Window);
RBFL_CLASS_WIN(Double_Window);
RBFL_CLASS_WIN(Menu_Window);
RBFL_CLASS_WIN(Single_Window);
RBFL_CLASS_OVERLAY_WIN(Overlay_Window);

extern VALUE rb_cFLWindow;
extern VALUE rb_cFLDouble_Window;
extern VALUE rb_cFLMenu_Window;
extern VALUE rb_cFLOverlay_Window;
extern VALUE rb_cFLSingle_Window;

#ifdef USE_GL
#include <FL/Fl_Gl_Window.H>
// RBFL_CLASS_OVERLAY_WIN(Gl_Window);
RBFL_CLASS_OVERLAY_GLWIN(Gl_Window);
extern VALUE rb_cFLGl_Window;
#endif /* USE_GL */

extern "C" void Init_flwindow(void);

#endif /* RBFLGROUP_H */
